<!DOCTYPE html>
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:th="http://www.thymeleaf.org">

<head>
    <meta name="viewport" content="width=device-width,initial-scale=1"/>
    <meta charset="UTF-8"/>
    <title>订单列表</title>
    <link th:href="@{/Bootstrap/css/orderdetail.css}" rel="stylesheet"/>
    <link rel="stylesheet" href="https://cdn.bootcss.com/bootstrap/4.0.0/css/bootstrap.min.css"
          integrity="sha384-Gn5384xqQ1aoWXA+058RXPxPg6fy4IWvTNh0E263XmFcJlSAwiGgFAW/dAiS6JXm" crossorigin="anonymous">
    <script src="https://cdn.bootcss.com/popper.js/1.12.9/umd/popper.min.js"
            integrity="sha384-ApNbgh9B+Y1QKtv3Rn7W3mgPxhU9K/ScQsAP7hUibX39j7fakFPskvXusvfa0b4Q"
            crossorigin="anonymous"></script>
    <script src="https://cdn.bootcss.com/bootstrap/4.0.0/js/bootstrap.min.js"
            integrity="sha384-JZR6Spejh4U02d8jOt6vLEHfe/JQGiRRSQQxSfFWpi1MquVdAyjUar5+76PVCmYl"
            crossorigin="anonymous"></script>
</head>

<body>
<div class="detail-container">
    <nav aria-label="breadcrumb">
        <ol class="breadcrumb">
            <li class="breadcrumb-item">
                <a
                   th:href="@{'/orderlist'}">
                    <span aria-hidden="true">返回列表</span>
                </a>
            </li>
        </ol>
    </nav>

    <h2>订单详情</h2>

    <form>
        <div class="form-group row">
            <label class="col-sm-2">订单号</label>
            <div class="col-sm-10">
                <span th:text="${order.orderNo}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">课程名称</label>
            <div class="col-sm-10">
                <span th:text="${order.courseName}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">联系人姓名</label>
            <div class="col-sm-10">
                <span th:text="${order.contactName}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">联系电话</label>
            <div class="col-sm-10">
                <span th:text="${order.contactPhone}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">到达日期</label>
            <div class="col-sm-10">
                <span th:text="${order.arriveDateString}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">订单总额</label>
            <div class="col-sm-10">
                <span th:text="${order.amount}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">备注</label>
            <div class="col-sm-10">
                <span th:text="${order.comment}"></span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">订单状态</label>
            <div class="col-sm-10">
                <span th:if="${order.orderStatus==2}">已付款</span>
                <span th:if="${order.orderStatus==3}">已完成</span>
            </div>
        </div>
        <div class="form-group row">
            <label class="col-sm-2">下单时间</label>
            <div class="col-sm-10">
                <span th:text="${order.createTimeString}"></span>
            </div>
        </div>
    </form>

    <table class="table table-hover">
        <thead>
        <tr>
            <th scope="col">#</th>
            <th scope="col">房型</th>
            <th scope="col">入住人</th>
            <th scope="col">价格</th>
        </tr>
        </thead>
        <tbody>

        <tr th:each="room:${orderRooms}">
            <td><span th:text="${orderRooms.indexOf(room) + 1}"></span></td>
            <td><span th:text="${room.roomTypeName}"></span></td>
            <td><span th:text="${room.guestName}"></span></td>
            <td><span th:text="${room.amount}"></span></td>
        </tr>

        </tbody>
    </table>
</div>
</body>

</html>